function ihb_SetInfoUI(hFigMain)
%----------------------------------------------------------------------------------
% FORMAT ihb_setAxis(hFigMain)
%----------------------------------------------------------------------------------
%  set information ui
%----------------------------------------------------------------------------------
%   10.04.01    Sergey Pakhomov
%   30.07.01    last modified
%----------------------------------------------------------------------------------
dflFileName = ihb_FileFolderName('dfl');
load(dflFileName, 'ihbdfl_main_width', 'ihbdfl_main_height');
load(dflFileName, 'ihbdfl_main_gap', 'ihbdfl_main_info_h');
load(dflFileName, 'ihbdfl_main_x', 'ihbdfl_main_y', 'ihbdfl_main_z');
load(dflFileName, 'ihbdfl_main_copyright');

c = ihbdfl_main_copyright;

bkgColor = get(hFigMain, 'Color');

pos(1) = 0.4;
pos(2) = 0.3*ihbdfl_main_info_h/ihbdfl_main_height;
pos(3) = ihbdfl_main_x/ihbdfl_main_width;
pos(4) = ihbdfl_main_info_h/ihbdfl_main_height;

uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', pos,...
   'BackgroundColor', bkgColor,...
   'ForegroundColor', 'b',...
   'Style', 'text',...
   'HorizontalAlignment', 'left',...
   'String', 'For more information on theTalairach atlas, please see');

pos(2) = pos(2) + ihbdfl_main_info_h/ihbdfl_main_height;
uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', pos,...
   'BackgroundColor', bkgColor,...
   'ForegroundColor', 'b',...
   'Style', 'text',...
   'HorizontalAlignment', 'left',...
   'String', 'Copyright Thieme Publishers, New York and Stuttgart.');

pos(1) = 0.4 + ihbdfl_main_x/ihbdfl_main_width;
pos(2) = pos(2) - 0.5*ihbdfl_main_info_h/ihbdfl_main_height;
pos(3) = ihbdfl_main_y/(3*ihbdfl_main_width);
pos(4) = ihbdfl_main_info_h/ihbdfl_main_height;
uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', pos,...
   'BackgroundColor', bkgColor,...
   'ForegroundColor', 'b',...
   'Style', ' pushbutton',...
   'String', 'www.cerefy.com',...
   'CallBack', 'ihb_cerefyInfo');


posl(1) = ihbdfl_main_gap/ihbdfl_main_width;
posl(2) = (2.5*ihbdfl_main_gap + 2*ihbdfl_main_z + c)/ihbdfl_main_height;
posl(3) = ihbdfl_main_y/(2*ihbdfl_main_width);
posl(4) = ihbdfl_main_info_h/ihbdfl_main_height;

posr(1) = posl(1) + posl(3);
posr(2) = posl(2) + 0.5*ihbdfl_main_gap/ihbdfl_main_height;
posr(3) = posl(3);
posr(4) = posl(4);

uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posl,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'HorizontalAlignment', 'left',...
   'String', 'Coordinates under cursor:');

posr(1) = posl(1) + posl(3);
posr(2) = posl(2);
posr(3) = posl(3);
posr(4) = posl(4);

uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posr,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'Tag', 'ihb_CursorCoord',...
   'HorizontalAlignment', 'left');

uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posr,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'Tag', 'ihb_CursorCoord',...
   'HorizontalAlignment', 'left');

posl(2) = posl(2) + ihbdfl_main_info_h/ihbdfl_main_height;
hStatic = uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posl,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'HorizontalAlignment', 'left',...
   'String', 'Cluster level p (corrected):');

posr(2) = posl(2);
uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posr,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'Tag', 'ihb_ClusterLevelProb',...
   'HorizontalAlignment', 'left');

posl(2) = posl(2) + ihbdfl_main_info_h/ihbdfl_main_height;
uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posl,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'HorizontalAlignment', 'left',...
   'String', 'Voxel level p (corrected):');

posr(2) = posl(2);
uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posr,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'Tag', 'ihb_VoxelLevelProb',...
   'HorizontalAlignment', 'left');

posl(2) = posl(2) + ihbdfl_main_info_h/ihbdfl_main_height;
uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posl,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'HorizontalAlignment', 'left',...
   'String', 'Cluster volume (in voxels):');

posr(2) = posl(2);
uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posr,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'Tag', 'ihb_VolumeInVox',...
   'HorizontalAlignment', 'left');

posl(2) = posl(2) + ihbdfl_main_info_h/ihbdfl_main_height;
hStatic = uicontrol(hFigMain,... 
   'Units', 'normalized',...
   'Position', posl,...
   'BackgroundColor', bkgColor,...
   'Style', 'text',...
   'HorizontalAlignment', 'left',...
   'String', 'Cluster name:');

posr(2) = posl(2)+4/ihbdfl_main_height;
uicontrol(hFigMain,...
   'Units', 'normalized',...
   'Position', posr,...
   'BackgroundColor', bkgColor,...
   'Style', 'popupmenu',...
   'Tag', 'ihb_ClusterPopUp',...
   'HorizontalAlignment', 'left',...
   'String', 'To be selected',...
   'CallBack', 'ihb_PrepareClusterToView');






